TransformUtils (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.staxutils.transform

## Class TransformUtils

- java.lang.Object
- - org.apache.cxf.staxutils.transform.TransformUtils

-     public final class TransformUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `convertToQNamesMap​(Map<String,​String> map, org.apache.cxf.staxutils.transform.QNamesMap elementsMap, Map<String,​String> nsMap)` |
    `protected static void` | `convertToSetOfQNames​(List<String> set, Set<QName> elementsSet)` |
    `static XMLStreamReader` | `createNewReaderIfNeeded​(XMLStreamReader reader, InputStream is)` |
    `static XMLStreamWriter` | `createNewWriterIfNeeded​(XMLStreamWriter writer, OutputStream os)` |
    `static XMLStreamWriter` | `createNewWriterIfNeeded​(XMLStreamWriter writer, OutputStream os, String encoding)` |
    `static XMLStreamReader` | `createTransformReaderIfNeeded​(XMLStreamReader reader, InputStream is, List<String> inDropElements, Map<String,​String> inElementsMap, Map<String,​String> inAppendMap, boolean blockOriginalReader)` |
    `static XMLStreamReader` | `createTransformReaderIfNeeded​(XMLStreamReader reader, InputStream is, List<String> inDropElements, Map<String,​String> inElementsMap, Map<String,​String> inAppendMap, Map<String,​String> inAttributesMap, boolean blockOriginalReader)` |
    `static XMLStreamWriter` | `createTransformWriterIfNeeded​(XMLStreamWriter writer, OutputStream os, Map<String,​String> outElementsMap, List<String> outDropElements, Map<String,​String> outAppendMap, boolean attributesToElements, String defaultNamespace)` |
    `static XMLStreamWriter` | `createTransformWriterIfNeeded​(XMLStreamWriter writer, OutputStream os, Map<String,​String> outElementsMap, List<String> outDropElements, Map<String,​String> outAppendMap, Map<String,​String> outAttributesMap, boolean attributesToElements, String defaultNamespace, String encoding)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createNewReaderIfNeeded

          public static XMLStreamReader createNewReaderIfNeeded​(XMLStreamReader reader,
                                                                InputStream is)

    - #### createNewWriterIfNeeded

          public static XMLStreamWriter createNewWriterIfNeeded​(XMLStreamWriter writer,
                                                                OutputStream os)

    - #### createNewWriterIfNeeded

          public static XMLStreamWriter createNewWriterIfNeeded​(XMLStreamWriter writer,
                                                                OutputStream os,
                                                                String encoding)

    - #### createTransformWriterIfNeeded

          public static XMLStreamWriter createTransformWriterIfNeeded​(XMLStreamWriter writer,
                                                                      OutputStream os,
                                                                      Map<String,​String> outElementsMap,
                                                                      List<String> outDropElements,
                                                                      Map<String,​String> outAppendMap,
                                                                      boolean attributesToElements,
                                                                      String defaultNamespace)

    - #### createTransformWriterIfNeeded

          public static XMLStreamWriter createTransformWriterIfNeeded​(XMLStreamWriter writer,
                                                                      OutputStream os,
                                                                      Map<String,​String> outElementsMap,
                                                                      List<String> outDropElements,
                                                                      Map<String,​String> outAppendMap,
                                                                      Map<String,​String> outAttributesMap,
                                                                      boolean attributesToElements,
                                                                      String defaultNamespace,
                                                                      String encoding)

    - #### createTransformReaderIfNeeded

          public static XMLStreamReader createTransformReaderIfNeeded​(XMLStreamReader reader,
                                                                      InputStream is,
                                                                      List<String> inDropElements,
                                                                      Map<String,​String> inElementsMap,
                                                                      Map<String,​String> inAppendMap,
                                                                      boolean blockOriginalReader)

    - #### createTransformReaderIfNeeded

          public static XMLStreamReader createTransformReaderIfNeeded​(XMLStreamReader reader,
                                                                      InputStream is,
                                                                      List<String> inDropElements,
                                                                      Map<String,​String> inElementsMap,
                                                                      Map<String,​String> inAppendMap,
                                                                      Map<String,​String> inAttributesMap,
                                                                      boolean blockOriginalReader)

    - #### convertToQNamesMap

          protected static void convertToQNamesMap​(Map<String,​String> map,
                                                   org.apache.cxf.staxutils.transform.QNamesMap elementsMap,
                                                   Map<String,​String> nsMap)

    - #### convertToSetOfQNames

          protected static void convertToSetOfQNames​(List<String> set,
                                                     Set<QName> elementsSet)